Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# Interface_CheckStatus.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | Interface_CheckStatus { Interface_CheckOK, Interface_CheckWarning, Interface_CheckFail, Interface_CheckAny, Interface_CheckMessage, Interface_CheckNoFail }
| validity state of anentity's content (see InterfaceModel) More...

## Enumeration Type Documentation

enum Interface_CheckStatus

  | Enumeration values:
  Interface_CheckOK |
  Interface_CheckWarning |
  Interface_CheckFail |
  Interface_CheckAny |
  Interface_CheckMessage |
  Interface_CheckNoFail |